diff -pruN 8.2.0-2/debian/changelog 8.2.0-2ubuntu1/debian/changelog
--- 8.2.0-2/debian/changelog	2009-10-21 15:27:40.000000000 +0100
+++ 8.2.0-2ubuntu1/debian/changelog	2009-10-21 15:27:41.000000000 +0100
@@ -1,3 +1,9 @@
+twisted-words (8.2.0-2ubuntu1) karmic; urgency=low
+
+  * Regenerate the plugin cache in the postinst. LP: #361865.
+
+ -- Matthias Klose <doko@ubuntu.com>  Mon, 05 Oct 2009 23:44:17 +0200
+
 twisted-words (8.2.0-2) unstable; urgency=low
 
   * Avoid md5/sha1 deprecation warnings.
diff -pruN 8.2.0-2/debian/python-twisted-words.postinst 8.2.0-2ubuntu1/debian/python-twisted-words.postinst
--- 8.2.0-2/debian/python-twisted-words.postinst	1970-01-01 01:00:00.000000000 +0100
+++ 8.2.0-2ubuntu1/debian/python-twisted-words.postinst	2009-10-21 15:27:41.000000000 +0100
@@ -0,0 +1,15 @@
+#! /bin/sh
+
+set -e
+
+#DEBHELPER#
+
+case "$1" in
+    configure)
+	for p in $(pyversions -i); do
+	    $p -c 'from twisted.plugin import IPlugin, getPlugins; list(getPlugins(IPlugin))' >/dev/null 2>&1 || true
+	done
+	;;
+esac
+
+exit 0
